> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/connect-your-technology/d-j-integrations/extrahop/extrahop-reveal-x-360-setup-for-workbench.md).

# ExtraHop Reveal(x) 360 Setup for Workbench

## Prerequisites

1. You must have [System and Access Administration privileges](https://docs.extrahop.com/9.7/users-overview/#user-privileges) in ExtraHop to perform the steps in this guide.

## Step 1: Enable API Access for Reveal(x) 360 <a href="#h_01j6aqmdgqey87a30a7xb21qcc" id="h_01j6aqmdgqey87a30a7xb21qcc"></a>

Please ensure you have met the prerequisites before proceeding with this step.

The first step is to create API credentials so that Expel can make REST calls and start receiving alerts.

1. Log in to Reveal(X) 360.
2. Navigate to the System Settings icon at the top right of the page and select **All Administration**.
3. Select **API Access**.
4. In the Manage API Access section, select **Enable**.
5. Select **Create Credentials**.
6. In the Create Rest API Credentials section, configure the following:
   * **Name** - enter a name for the credential, for example, “Expel SOC”.
   * **System access** - Full read-only.
   * **NDR Module Access** - Full access.
   * **NPM Module Access** - Full access.
   * **Packet and Session Key Access** - No access.
7. Select **Save**.
8. Copy the **API Endpoin**t, **ID**, and **Secret** credentials to a secure location.

## Step 2: Add Reveal(x) 360 as a Security Device in Workbench <a href="#h_01j6aqwpg79vja5hmxcnja5bv2" id="h_01j6aqwpg79vja5hmxcnja5bv2"></a>

Now that you have your ExtraHop API Credentials, you can configure the integration in Workbench.

1. [Log in to Workbench](https://workbench.expel.io/auth/login?orig=%2F).
2. In the side menu, navigate to **Organization Settings > Security Devices**.
3. Select **Add Security Device**.
4. In the search box, type “Extrahop” and then select the **ExtraHop Reveal(x) 360** integration.
5. Complete the fields as follows:
   * **Name** - enter a name that might help you more easily identify this integration.
   * **Location** - enter the location of your integration
   * **Server address** - enter the API endpoint URL from [Step 1](#h_01j6aqmdgqey87a30a7xb21qcc).
   * **API key ID** - enter the ID from [Step 1](#h_01j6aqmdgqey87a30a7xb21qcc).
   * **API key secret** - enter the Secret from [Step 1](#h_01j6aqmdgqey87a30a7xb21qcc).
6. Select **Save**.

Your device should be created successfully within a few seconds. A few reminders:

* After your connection is healthy, it will take some time for your device to begin polling and receiving data.
* To check on the status, select the downward arrow for your device in the first column and choose **View details**.
* Polling will happen first; data will be received after that. **You must refresh the page to see updates.**
* If your device does not begin polling within 15 minutes, and does not begin receiving data within 30 minutes, [contact our support team for help](/support/how-to-reach-us.md).
* To check if alerts are coming through, navigate to **Dashboards > Alert Analysis**. Scroll to the device you want to check, and select the **Expel Alerts** tab to reveal more alert information. It can take 36 to 72 hours for alerts to appear after setup, as we [tune your device](/workbench-reference/alerts/how-expel-alerts-work.md#device-tuning).

## Step 3: Set Up ExtraHop Console Access for Expel <a href="#h_01j6ar05h8r768z7mp4kyx5vnt" id="h_01j6ar05h8r768z7mp4kyx5vnt"></a>

Expel requires console access to allow analysts to perform investigation and triage. Without this additional level of information, alerts cannot be verified by our analysts and an investigation cannot be initiated. For more information, see [Why Expel Asks for Console Access](/connect-your-technology/about-integrations/why-expel-asks-for-console-access.md).

1. Add a new user in the Extrahop 360 console. Refer to [ExtraHop's RevealX 360 Setup and Administration Guide](https://docs.extrahop.com/9.7/rx360-setup-admin/) for more information.
2. **First name** - enter "Expel".
3. **Last name** - enter "SOC".
4. **Email** - enter "soc+\<Your\_Organization\_Name>@expel.io".
   * For example, if your organization were Acme Corp, the format would be "<soc+acme_corp@expel.io>".
5. In the System Access section, select **Full read-only** privileges.
6. Select **Save**.
7. Select **Done**.
8. Expel will handle the password reset and finish configuration in Workbench.

## Troubleshooting <a href="#h_01j6ar481kxvmd8wbc9zmbsjtt" id="h_01j6ar481kxvmd8wbc9zmbsjtt"></a>

**If your device status shows an Unhealthy connection in Workbench:**\
Please ensure you have enabled "Full access" permissions for the NDR and NPM modules as instructed in [Step 1](#h_01j6aqmdgqey87a30a7xb21qcc).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.expel.io/connect-your-technology/d-j-integrations/extrahop/extrahop-reveal-x-360-setup-for-workbench.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
